# Red Hat Process Automation Manager Resources

## Installation and Support

* [Red Hat Process Automation Manager 7 Supported Configurations](https://access.redhat.com/articles/3405381)
* [Installing and configuring Red Hat Process Automation Manager on Red Hat JBoss EAP](https://access.redhat.com/documentation/en-us/red_hat_process_automation_manager/7.11/html/installing_and_configuring_red_hat_process_automation_manager/assembly-install-on-eap)

## Developent

* [kmodule.xml XML Schema Definition](https://github.com/kiegroup/droolsjbpm-knowledge/blob/main/kie-api/src/main/resources/org/kie/api/kmodule.xsd)
* [Generating new Projects using Maven archetypes](https://gist.github.com/rafaeltuelho/eb3a92057208b1053609ea6d06c28352)
* [Service Task Tips and Tricks](https://karinavarela.me/2019/06/07/jbpm7-quicktips-service-tasks/)
* [BPM Suite 6.4: Domain-Specific Tasks](https://access.redhat.com/documentation/en-us/red_hat_jboss_bpm_suite/6.4/html/user_guide/chap_process_designer#sect_domain_specific_tasks)
* [JBoss Community Archive: Registering a WorkItemHandler](https://developer.jboss.org/thread/267334)
* [Bypassing a REST Task after a Timeout](https://access.redhat.com/solutions/5592311)
* [Invoking REST Web Services using REST Tasks](https://access.redhat.com/solutions/1529193)
* [Setting Custom HTTP Headers in REST WIH](https://access.redhat.com/solutions/4356821)
* [Unmarshaling REST payload to an Object in RHPAM](https://access.redhat.com/solutions/3763421)
* [Using SSL REST Services in RHPAM](https://access.redhat.com/solutions/3433821)
* [YouTube: Using REST Service Tasks](https://www.youtube.com/watch?v=_LKWPX7agKc)
* [YouTube: Handling REST Service Task Errors in a Process Model](https://www.youtube.com/watch?v=9C4zEVA-rQs)
* [Using REST WIH in jBPM](http://www.mastertheboss.com/bpm/jbpm6/how-to-use-a-rest-workitem-handler-in-jbpm/)
* [BPM Suite 6.4: Service Tasks](https://access.redhat.com/documentation/en-us/red_hat_jboss_bpm_suite/6.4/html/user_guide/appe_service_tasks)
* [Service Task Repository Integrated into Business Central](https://blog.kie.org/2019/01/service-task-repository-integrated-into-business-central.html)
* [DZone: Configuring an Email Service Task with RHPAM](https://dzone.com/articles/beginners-guide-to-configuring-email-service-task)
* [BPMN Timers, RHPAM, and PostgreSQL 11](https://jeftaylo.medium.com/bpmn-timers-red-hat-process-automation-manager-and-postgresql-11-e67cd7d8b613)
* [Versioning of Utility Classes in RHPAM](https://www.businessprocessincubator.com/content/versioning-of-utility-classes-in-rhpam/)
* [jBPM: Mastering Transaction Boundaries](https://dev.to/kmacedovarela/jbpm-mastering-transaction-boundaries-2bp0)
* [ClassNotFoundException in REST Work Items](https://access.redhat.com/solutions/2133761)
* [Interacting with RHPAM using Kie APIs](https://access.redhat.com/documentation/en-us/red_hat_process_automation_manager/7.2/html-single/interacting_with_red_hat_process_automation_manager_using_kie_apis/index)
* [Swagger Codegen Maven Plugin](https://github.com/swagger-api/swagger-codegen/blob/master/modules/swagger-codegen-maven-plugin/README.md)
* [swagger-codegen: HTTP Basic Auth is broken in generated clients](https://github.com/swagger-api/swagger-codegen/issues/1054)

